# Class GomokuAI

java.lang.Object
Player
GomokuAI

public class GomokuAI extends Player

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) int`
  `difficulty`
  The difficulty of the GomokuAI
  `(package private) Random`
  `random`
  The random initialization

  ### Fields inherited from class Player

  `color`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GomokuAI()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GomokuCell`
  `chooseMove(GomokuBoard board)`
  Return the coordinate of the move played by the Gomoku AI.
  `Map<GomokuCell, Integer>`
  `GetCellPoint(GomokuBoard board)`
  Return a Map of all Cell playable, and their point.

  ### Methods inherited from class Player

  `getColor, getName, Player`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### random

    Random random
    The random initialization

  - ### difficulty

    int difficulty
    The difficulty of the GomokuAI

- ## Constructor Details

  - ### GomokuAI

    public GomokuAI()

- ## Method Details

  - ### chooseMove

    public GomokuCell chooseMove(GomokuBoard board)
    Return the coordinate of the move played by the Gomoku AI.
    Specified by:
      `chooseMove` in class `Player`
    Parameters:
      `board` - The actual Gomoku board.
    Returns:
      The Cell of the move played.

  - ### GetCellPoint

    public Map<GomokuCell, Integer> GetCellPoint(GomokuBoard board)
    Return a Map of all Cell playable, and their point.
    Parameters:
      `board` - The actual Gomoku board.
    Returns:
      the Map of all Cell playable, and their point.